datacache <- new.env(hash=TRUE, parent=emptyenv())

tilingmouse11r13mmentrezg <- function() showQCData("tilingmouse11r13mmentrezg", datacache)
tilingmouse11r13mmentrezg_dbconn <- function() dbconn(datacache)
tilingmouse11r13mmentrezg_dbfile <- function() dbfile(datacache)
tilingmouse11r13mmentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
tilingmouse11r13mmentrezg_dbInfo <- function() dbInfo(datacache)

tilingmouse11r13mmentrezgORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "tilingmouse11r13mmentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "tilingmouse11r13mmentrezg", "chip tilingmouse11r13mmentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(tilingmouse11r13mmentrezg_dbconn())
}

